org.apache.flume.thrift

## Interface ThriftSourceProtocol.AsyncIface

- All Known Implementing Classes:
    ThriftSourceProtocol.AsyncClient
  Enclosing class:
    ThriftSourceProtocol

      public static interface ThriftSourceProtocol.AsyncIface

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(ThriftFlumeEvent event, org.apache.thrift.async.AsyncMethodCallback<ThriftSourceProtocol.AsyncClient.append_call> resultHandler)`
    `void` | `appendBatch(List<ThriftFlumeEvent> events, org.apache.thrift.async.AsyncMethodCallback<ThriftSourceProtocol.AsyncClient.appendBatch_call> resultHandler)`

- - ### Method Detail

    - #### append

          void append(ThriftFlumeEvent event,
                    org.apache.thrift.async.AsyncMethodCallback<ThriftSourceProtocol.AsyncClient.append_call> resultHandler)
                      throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### appendBatch

          void appendBatch(List<ThriftFlumeEvent> events,
                         org.apache.thrift.async.AsyncMethodCallback<ThriftSourceProtocol.AsyncClient.appendBatch_call> resultHandler)
                           throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.